GET
/merchantsGet merchants by CNPJ list
Retrieves merchant information for a list of CNPJs. Returns an object containing found merchants, valid CNPJs that were not found, and invalid CNPJs.
Parameters
Query Parameters
| Name | Type |
|---|---|
cnpjs | string |
Responses
200Merchant query results
object
foundMerchantsrequiredobject[]
List of merchants found for the provided CNPJs
itemsobject
Merchant extracted from the transaction data
notFoundMerchantsrequiredstring[]
List of valid CNPJs that were not found in the merchant database
itemsstring
invalidCnpjsrequiredstring[]
List of invalid CNPJ values provided
itemsstring
Example response
json
{
"foundMerchants": [
{
"businessName": "BANCO DO BRASIL SA",
"cnpj": "00000000000191",
"name": "BANCO DO BRASIL",
"cnae": "6422100",
"category": "Banking"
}
],
"notFoundMerchants": [],
"invalidCnpjs": []
}Code Examples
bash
curl -X GET 'https://api.pluggy.ai/merchants' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Try It
Query Parameters
